/*
 * This file is part of Locutil1.
 * 
 * Copyright (c) 2007 Thomas King <king@informatik.uni-mannheim.de>,
 * University of Mannheim, Germany
 * 
 * All rights reserved.
 *
 * Loclib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Loclib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Loclib; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package org.pi4.locutil1;

import j2meunit.framework.Test;
import j2meunit.framework.TestCase;
import j2meunit.framework.TestSuite;

/**
 * Unit test runner for tests that are capable to run in a J2SE environment.
 * 
 * @author abiskop
 * @author king
 * @author faerber
 */
public class TestRunner extends TestCase {

	public static void main(String[] args) {		
		try {
			LoggingStream log = new LoggingStream("logging_util1.txt");
			System.setErr(log);
			System.setOut(log);
			String[] runnerArgs = new String[] {"org.pi4.locutil1.TestRunner"};
			j2meunit.textui.TestRunner.main(runnerArgs);
		} catch (Exception e) {
			e.printStackTrace();
			System.out.println(e.getLocalizedMessage());
		}
	}
	
	public Test suite() {
		TestSuite suite = new TestSuite();

		suite.addTest(new org.pi4.locutil1.MACAddressTest().suite());
		
		return suite;
	}
}
